Solved Terminal starts with bash alias not found

Solved issue

gator4ever_

New Member
Joined
Apr 24, 2026
Messages
3
Reaction score
2
Credits
44
Hello. I lam fairly new to linux, and I have run into an issue where these 3 lines appear when i open my terminal.

bash: alias: godot: not found
bash: alias: =: not found
bash: alias: run /home/alison/Desktop/Godot_v4.5.1-stable_linux.x86_64: not found

At some point a few months ago I installed the godot game engine on my laptop, and then deleted it. I don't know how that would affect my terminal though. I am using linux mint with i3 as a window manager if that helps, and I have alacritty as my terminal emulator.
Thanks for taking the time to read this :)

Edit: I found out that I had not removed a line from my .bashrc file in my /home directory, instead I did it in /etc. Thanks for the help :)
 
Last edited:


bash: alias: godot: not found
bash: alias: =: not found
bash: alias: run /home/alison/Desktop/Godot_v4.5.1-stable_linux.x86_64: not found
The error "bash: alias: godot: not found" indicates that the command 'godot' is not recognized in your terminal. You may need to ensure that the Godot executable is correctly installed and that its path is included in your system's PATH environment variable.

My guess is you did not disable the plugins first then delete the package folder since it is self contained

see here - https://forum.godotengine.org/t/how-to-uninstall-a-plugin-completely/102093

and here - https://docs.godotengine.org/en/stable/community/tutorials.html
 
Please show us your .bashrc text.

Vektor
# System-wide .bashrc file for interactive bash(1) shells.

# To enable the settings / commands in this file for login shells as well,
# this file has to be sourced in /etc/profile.

# If not running interactively, don't do anything
[ -z "$PS1" ] && return

# check the window size after each command and, if necessary,
# update the values of LINES and COLUMNS.
shopt -s checkwinsize

# set variable identifying the chroot you work in (used in the prompt below)
if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then
debian_chroot=$(cat /etc/debian_chroot)
fi

# set a fancy prompt (non-color, overwrite the one in /etc/profile)
# but only if not SUDOing and have SUDO_PS1 set; then assume smart user.
if ! [ -n "${SUDO_USER}" -a -n "${SUDO_PS1}" ]; then
PS1='${debian_chroot:+($debian_chroot)}\u@\h:\w\$ '
fi

# Commented out, don't overwrite xterm -T "title" -n "icontitle" by default.
# If this is an xterm set the title to user@host:dir
#case "$TERM" in
#xterm*|rxvt*)
# PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME}: ${PWD}\007"'
# ;;
#*)
# ;;
#esac

# enable bash completion in interactive shells
#if ! shopt -oq posix; then
# if [ -f /usr/share/bash-completion/bash_completion ]; then
# . /usr/share/bash-completion/bash_completion
# elif [ -f /etc/bash_completion ]; then
# . /etc/bash_completion
# fi
#fi

# sudo hint
if [ ! -e "$HOME/.sudo_as_admin_successful" ] && [ ! -e "$HOME/.hushlogin" ] ; then
case " $(groups) " in \ admin\ *|\ sudo\ *)
if [ -x /usr/bin/sudo ]; then
cat <<-EOF
To run a command as administrator (user "root"), use "sudo <command>".
See "man sudo_root" for details.

EOF
fi
esac
fi

# if the command-not-found package is installed, use it
if [ -x /usr/lib/command-not-found -o -x /usr/share/command-not-found/command-not-found ]; then
function command_not_found_handle {
# check because c-n-f could've been removed in the meantime
if [ -x /usr/lib/command-not-found ]; then
/usr/lib/command-not-found -- "$1"
return $?
elif [ -x /usr/share/command-not-found/command-not-found ]; then
/usr/share/command-not-found/command-not-found -- "$1"
return $?
else
printf "%s: command not found\n" "$1" >&2
return 127
fi
}
fi
 
Edit: I found out that I had not removed a line from my .bashrc file in my /home directory, instead I did it in /etc. Thanks for the help

Cool !
 


Follow Linux.org

Members online


Top